@import "./reset.css";
@import "./helpers.css";
@import "./home.css";


/***************************************************************************
MEDIA QUERY
****************************************************************************/

@media(max-width:737px){

    .vinco-home__hero>div{
        padding: 2rem;
        height: 50%;
    }

    .vinco-home-main>.vinco-home-nav{
        display: none;
    }
    .vinco-header{
        flex-direction: column;
        gap: 2rem;
        position: relative;
    }

    .vinco-header__item-one{
        width: 100%;
    }

    .vinco-header__contacts{
        flex-direction: column;
    }


.vinco-home__writeup{
    flex-direction: column;
}

.vinco-home-main,
.vinco-footer{
    padding-left: 1.5rem;
    padding-right: 1.5rem;
}

.vinco-footer>nav{
    justify-content: center;
}

.vinco-footer > nav > a{
    padding-left: 1rem;
    padding-right: 1rem;
}

.mobile-nav-menu{
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    position: absolute;
    right: 1.5rem;
    top: 3rem;
}
.mobile-nav-menu>button{
    border-radius: 50%;
    border: 1.5px solid #00000081;
    padding: .25rem;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    background-color: transparent;
}
.mobile-nav-menu>button>svg{
    font-size: 3.5rem;
}

.mobile-navs{
    position: absolute;
    display: flex;
    flex-direction: column;
    top: 5rem;
    background-color: #fff;
    box-shadow: -2rem 1rem 10rem 1rem #00000046;
    padding: 2rem 1rem;
    border-radius: 1rem;
    z-index: 999;
    width: 15rem;
}
.mobile-navs>.vinco-home-link{
    font-size: 1.5rem;
    text-wrap: nowrap;
    padding: 1rem;
    color: #000;
}

.mobile-navs>.vinco-home-link:hover{
    background-color: #eee;
}

.mobile-navs>.vinco-home-link:not(:last-child){
    border-bottom: 1px solid #eee9e9;
}

}

#menu {
    transform: translateX(300%); /* Initially hidden */
    transition: transform 200ms ease-in;
  }
  #menu.active {
    transform: translateX(0); /* Show when active */
  }